<?php
// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}
/**
 * Header Top
 *
 */
function fast_pressheader () {
?>
<header class="site-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader">
<div id="grid-top" class="grid-top">
	<!-- Site Navigation  -->
	<button id="s-button-menu" class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><img alt="mobile" src="<?php echo esc_url(get_template_directory_uri() ) . '/images/mobile.jpg'; ?>"/></button>
	<div class="mobile-cont">
		<div class="mobile-logo" itemprop="logo" itemscope="itemscope" itemtype="http://schema.org/Brand">
				<?php the_custom_logo(); ?>
		</div>
	</div>
	<nav id="site-navigation" class="main-navigation">
		<div class="header-right" itemprop="logo" itemscope="itemscope" itemtype="http://schema.org/Brand">
				<?php the_custom_logo(); ?>
		</div>	
		<button class="menu-toggle"><?php esc_html_e( 'Menu', 'fast-press' ); ?></button>
		<?php wp_nav_menu( array( 
			'theme_location' => 'primary',
			'menu_id' => 'primary-menu'		
		) ); ?>
	</nav><!-- #site-navigation -->
</div>
	<!-- Header Image  -->
	<div class="all-header">
	    <div class="s-shadow"></div>
	    <div class="s-hidden">
		<?php if (get_theme_mod( 'header_image_position' ) == 'default' ) { ?>
		<img id="masthead" class="header-image" src='<?php echo esc_url(get_template_directory_uri() ) . '/images/header.webp'; ?>' alt="<?php esc_attr_e( 'header image','fast-press' ); ?>"/>	
		<?php } ?>
		<?php if (get_theme_mod( 'header_image_position' ) == 'real' ) { ?>
		<img id="masthead"  class="header-image" src='<?php if ( !is_home() and has_post_thumbnail() and get_post_meta( get_the_ID(), 'fast_pressvalue_header_image', true ) ) { esc_url(the_post_thumbnail_url()); } else { header_image(); } ?>' alt="<?php esc_attr_e( 'header image','fast-press' ); ?>"/>	
		<?php } else { ?>
		<div id="masthead" class="header-image" style="background-image: url( '<?php if (  !is_home() and has_post_thumbnail() and get_post_meta( get_the_ID(), 'fast_pressvalue_header_image', true ) ) { esc_url(the_post_thumbnail_url()); } else { esc_url(header_image()); } ?>' );"></div>
		<?php } ?>
</div>
		<div class="site-branding">
		<?php if ( display_header_text() == true ) { ?>
			<div>
			<?php
			if ( is_front_page() && is_home() ) :
				?>
					<h1 class="site-title" itemscope itemtype="http://schema.org/Brand"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><span class="word"><?php esc_html( bloginfo( 'name' ) ); ?></span></a></h1>
					<?php
				else :
					?>
					<p class="site-title" itemscope itemtype="http://schema.org/Brand"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><span class="word"><?php esc_html( bloginfo( 'name' ) ); ?></span></a></p>
					<?php
				endif;
				$fast_pressdescription = esc_html(get_bloginfo( 'description', 'display' ) );
				if ( $fast_pressdescription || is_customize_preview() ) :
					?>    
					<p class="site-description" itemprop="headline">
						<span class="word"><?php echo esc_html($fast_pressdescription); ?></span>
					</p>
				<?php endif; ?>	
			</div>
		<?php } ?>	
		</div>
		<!-- .site-branding -->
	</div>
</header>
<?php }